//
//  GLGPXExporter.h
//  Trips
//
//  Created by Jeffrey Early on 10/22/07.
//  Copyright 2007 __MyCompanyName__. All rights reserved.
//

#import <Cocoa/Cocoa.h>

@class GLGeoPoint, GLTrackSegment, GLTrack;
@interface GLGPXExporter : NSObject {
	NSArray			*waypoints;
	NSArray			*tracks;
	NSArray			*routes;
	NSXMLDocument	*xmlDocument;
}

@property(nonatomic, strong) NSArray *waypoints, *tracks, *routes;
@property(nonatomic, strong) NSXMLDocument	*xmlDocument;

- (BOOL) exportToPath: (NSString *) filePath;

- (NSXMLNode *) xmlNodeFromGeoPoint: (GLGeoPoint *) point;
- (NSXMLNode *) xmlNodeFromSegment: (GLTrackSegment *) segment;
- (NSXMLNode *) xmlNodeFromTrack: (GLTrack *) track;
- (NSXMLNode *) xmlNodeForBounds;

@end
